# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::NodeList Class Reference

The `NodeList` interface provides the abstraction of an ordered collection of nodes, without defining or constraining how this collection is implemented. More...

`#include <dom_node.h>`

List of all members.

## Public Member Functions

| NodeList (const NodeList &other)
NodeList & | operator= (const NodeList &other)
unsigned long | length () const
Node | item (unsigned long index) const
NodeListImpl * | handle () const
bool | isNull () const

## Protected Member Functions

| NodeList (const NodeListImpl *i)

## Protected Attributes

NodeListImpl * | impl

## Friends

class | Element
class | Node
class | Document
class | HTMLDocument
class | KJS::HTMLDocument
class | KJS::Window

## Detailed Description

The `NodeList` interface provides the abstraction of an ordered collection of nodes, without defining or constraining how this collection is implemented.

The items in the `NodeList` are accessible via an integral index, starting from 0.

Definition at line 897 of file dom_node.h.

## Member Function Documentation

unsigned long NodeList::length | ( |  | ) | const

| The number of nodes in the list. The range of valid child node indices is 0 to `length-1` inclusive. Definition at line 473 of file dom_node.cpp.

Node NodeList::item | ( | unsigned long | index | ) | const

Returns the `index` th item in the collection.

If `index` is greater than or equal to the number of nodes in the list, this returns `null` .

Parameters:

  | index | Index into the collection.

Returns:
  The node at the `index` th position in the `NodeList` , or `null` if that is not a valid index.

Definition at line 467 of file dom_node.cpp.

The documentation for this class was generated from the following files:

- dom_node.h
- dom_node.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:33:46 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003